Upgrade from Plex 5.5 to 7.2.1

Document ID : KB000075542
Last Modified Date : 02/04/2018
Show Technical Document Details
Issue:
We are planning the migration of our models from 5.5 and 6.1 to 7.2.1. The models are working with C++/RPG and Java/RPG. 
From the documentation I read I know that I have to rebuild and gen the C++ portion with VS 2013 and the Java portion with JDK 1.8. I understood that I don't need to regenerate RPG right? 
What I don't know is the dispatcher or listener that is installed in the IBM i. Do I need to install the one that comes with Plex 7.2.1 and it is backward compatible or am I going to have 2 listeners to communicate with the IBM i?
Resolution:
In the Plex documentation, please review the following link. 

https://docops.ca.com/ca-plex/7-2-1/en/release-information/upgrading-from-earlier-releases#UpgradingfromEarlierReleases-UpgradingfromCAPlexr5.5 

In the link there is the following section. 

RPG Functions Upgrade Requirements 
You do not need to regenerate or rebuild existing RPG functions when upgrading to CA Plex r7.2.1. 

Additional clarification:  
Plex WinC/WinNTC functions are mandatory to regen/rebuild due to compiler changes. System-I Plex RPG objects are not mandatory to rebuild. 
To upgrade to Plex r7.2.1, you need to install Plex r7.2.1 dispatcher on IBM-i and new dispatcher will work fine with existing RPG built objects. 
And make sure you have Plex r7.2.1 client runtime (WinC/WinNTC) installed at Plex client application side.